# github copilot proxy server

a proxy server for github copilot, handling token management and request forwarding

## requirements
- go 1.20 or later
- a valid github pat set in the `GITHUB_AUTH_TOKEN` environment variable
- (optional) `golangci-lint`

## usage
```bash
go build -o copilot-proxy
GITHUB_AUTH_TOKEN=... ./copilot-proxy
```

## launchctl

```bash
cp st.thermokar.copilot-proxy.plist ~/Library/LaunchAgents/st.thermokar.copilot-proxy.plist
# edit as necessary
# log out and then back in
launchctl list | rg st.thermokar.copilot-proxy
```
